# ui

ui provides a web interface for simple and efficient access to the database data.

## VSCode/IDE
For a better use, we recommend to use [VSCode](https://code.visualstudio.com/) + [Volar](https://marketplace.visualstudio.com/items?itemName=Vue.volar) (and disable Vetur)
To make the TypeScript language service aware of `.vue` type we recommend to use [TypeScript Vue Plugin (Volar)](https://marketplace.visualstudio.com/items?itemName=Vue.vscode-typescript-vue-plugin).
To enhance the Tailwind code we recommend to use Tailwind CSS [IntelliSense](https://marketplace.visualstudio.com/items?itemName=bradlc.vscode-tailwindcss)

## Customize configuration

See [Vite Configuration Reference](https://vitejs.dev/config/).

## Project Setup

```sh
npm install
```

### Compile and Hot-Reload for Development

```sh
npm run dev
```

### Type-Check, Compile and Minify for Production

```sh
npm run build
```

### Run Unit Tests with [Vitest](https://vitest.dev/)

```sh
npm run test:unit
```

### Lint with [ESLint](https://eslint.org/)

```sh
npm run lint
```

### Prettier formatting with [Prettier](https://prettier.io/)

```sh
npm run format
```

### Type-Check for Typescript

```sh
npm run type-check
```
